"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var DataTable_1 = require("./DataTable");
var DataTableBody = (function () {
    function DataTableBody(mfTable) {
        this.mfTable = mfTable;
    }
    __decorate([
        core_1.Input("columns"),
        __metadata("design:type", Array)
    ], DataTableBody.prototype, "columns", void 0);
    DataTableBody = __decorate([
        core_1.Component({
            selector: "[mfBody]",
            template: "<tr *ngFor=\"let row of mfTable.data\">\n        <td *ngFor=\"let column of columns\" title=\"{{column.valueTooltip(row)}}\" [innerHtml]=\"column.valueHtml(row)\"></td>\n    </tr>"
        }),
        __metadata("design:paramtypes", [DataTable_1.DataTable])
    ], DataTableBody);
    return DataTableBody;
}());
exports.DataTableBody = DataTableBody;
//# sourceMappingURL=DataTableBody.js.map