"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var DataTable_1 = require("./DataTable");
var DefaultSorter_1 = require("./DefaultSorter");
var Paginator_1 = require("./Paginator");
var BootstrapPaginator_1 = require("./BootstrapPaginator");
var TableController_1 = require("./TableController");
var DataTableHead_1 = require("./DataTableHead");
var DataTableBody_1 = require("./DataTableBody");
var DataTableModule = (function () {
    function DataTableModule() {
    }
    DataTableModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule
            ],
            declarations: [
                DataTable_1.DataTable,
                DefaultSorter_1.DefaultSorter,
                Paginator_1.Paginator,
                BootstrapPaginator_1.BootstrapPaginator,
                TableController_1.TableController,
                DataTableHead_1.DataTableHead,
                DataTableBody_1.DataTableBody
            ],
            exports: [
                DataTable_1.DataTable,
                DefaultSorter_1.DefaultSorter,
                Paginator_1.Paginator,
                BootstrapPaginator_1.BootstrapPaginator,
                TableController_1.TableController,
                DataTableHead_1.DataTableHead,
                DataTableBody_1.DataTableBody
            ]
        })
    ], DataTableModule);
    return DataTableModule;
}());
exports.DataTableModule = DataTableModule;
//# sourceMappingURL=DataTableModule.js.map